QGIS Application - Bug report #20055
Legend in Print Layout does not follow set map-theme
2018-10-09 07:18 AM - Jamie Sheehan

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.3(master) Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 27877
Description

If multiple map themes are created using different styles for the 1 layer, and Print Layouts are created using the "follow map theme"
option, the Legend incorrectly shows styles as per the theme currently being displayed in the Map Composer, not as per the Map Theme
chosen in the print layout. This glitch can be overcome by selecting the appropriate Map Theme in the Map Composer each time a Print
Layout is to be exported, however, it prevents the use of automated Print Exports for multiple layouts, and introduces significant chances
of error by forgetting to update the Map Composer every time.

For example -

See attached images, where | have saved 2 Map Themes... "No Style" and "Categorised".

| then create a Print Layout and set it to follow Map Theme "Categorised". While the Map Composer is showing the same theme, the
legend displays correctly. However, if the Map Composer is switched to a different Map Theme, the Legend in the Print Composer no
longer reflects what is being shown in the print layout, and instead reflects the Map Theme of the Print Composer.

Related issues:
Related to QGIS Application - Bug report # 16795: [Composer Legend] Symbology... Open 2017-07-05

History

#1 - 2018-10-10 11:10 AM - Harrissou Santanna
- Related to Bug report #16795: [Composer Legend] Symbology of layer always follows the map canvas and breaks the composer legend added

#2 - 2018-10-11 11:38 PM - Saber Razmjooei
- Operating System deleted (Windows)
- Affected QGIS version changed from 3.2.3 to 3.3(master)

#3 - 2018-10-12 02:17 AM - Nyall Dawson

- Resolution set to duplicate
- Status changed from Open to Closed

Duplicate of #16795

Files

MapTheme1_NoStyle.jpg 144 KB 2018-10-09 Jamie Sheehan
MapTheme2_Categorised.jpg 193 KB 2018-10-09 Jamie Sheehan
PrintLayout_LegendShowingMapThemeNoStyle.jpg 107 KB 2018-10-09 Jamie Sheehan
PrintLayout_MapThemeCategorised.jpg 132 KB 2018-10-09 Jamie Sheehan
